%define realname XDEBUG
%define modname xdebug
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A29_%{modname}.ini

Summary:	Provides functions for function traces and profiling for PHP4
Name:		php4-%{modname}
Version:	1.3.2
Release:	%mkrel 8
Group:		Development/PHP
License:	BSD-like
URL:		http://xdebug.org/
Source0:	http://www.xdebug.org/files/%{modname}-%{version}.tar.bz2
Source1:	%{modname}.ini.bz2
Source2:	xdebug-docs.tar.bz2
BuildRequires:	php4-devel
#BuildRequires:	edit-devel
#BuildRequires:	termcap-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-root

%description
The Xdebug extension helps you debugging your script by providing
a lot of valuable debug information.  The debug information that
Xdebug can provide includes the following: 

* stack and function traces in error messages with: 
  o full parameter display for user defined functions
  o function name, file name and line indications
  o support for member functions
* memory allocation
* protection for infinite recursions

Xdebug also provides: 

* profiling information for PHP scripts
* script execution analysis
* capabilities to debug your scripts interactively with a debug client

%prep

%setup -q -n %{modname}-%{version} -a2

%build

php4ize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

# make the debugclient
pushd debugclient
    %configure2_5x
#	--with-libedit
    %make
popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d
install -d %{buildroot}%{_bindir}

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php4.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/
install -m755 debugclient/debugclient %{buildroot}%{_bindir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc CREDITS Changelog LICENSE NEWS README* xdebug-docs/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_bindir}/debugclient
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}


%changelog
* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-8mdv2007.0
+ Revision: 132315
- rebuilt against new upstream php version (4.4.6)

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.2-7mdv2007.1
+ Revision: 123801
- rebuilt against new upstream php version (4.4.5)

* Mon Dec 18 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.2-6mdv2007.1
+ Revision: 98787
- release bump due to hdlists borkiness
- Import php4-xdebug



* Sat Aug 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.2-5
- rebuilt for php-4.4.4

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.2-4mdv2007.0
- rebuilt for php-4.4.3

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.2-3mdk
- rebuild

* Mon Jan 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.2-2mdk
- rebuilt against php-4.4.2

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.2-1mdk
- rebuilt for php-4.4.1
- fix versioning

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_1.3.2-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_1.3.2-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_1.3.2-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.3.2-3mdk
- use the %%mkrel macro

* Tue Mar 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.3.2-2mdk
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.3.2-1mdk
- rebuild for php 4.3.10

* Tue Dec 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_1.3.2-1mdk
- initial mandrake package
